//
// ONVIFCameraImageSetting.swift
//
// Generated by swagger-codegen
// https://github.com/swagger-api/swagger-codegen
//

import Foundation



public struct ONVIFCameraImageSetting: Codable {

    public var currentValue: Decimal
    public var supportedRange: ONVIFCameraSettingsRange

    public init(currentValue: Decimal, supportedRange: ONVIFCameraSettingsRange) {
        self.currentValue = currentValue
        self.supportedRange = supportedRange
    }

    public enum CodingKeys: String, CodingKey { 
        case currentValue = "current_value"
        case supportedRange = "supported_range"
    }

}
